Bug 907585

Summary: Review Request: repsnapper - RepRap control software
Product: [Fedora] Fedora Reporter: Miro Hrončok <mhroncok>
Component: Package ReviewAssignee: T.C. Hollingsworth <tchollingsworth>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: alevy, moe, notting, package-review, tcallawa, tchollingsworth, volker27
Target Milestone: ---Flags: tchollingsworth: fedora‑review+
limburgher: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: repsnapper-2.2.0-0.1.a2.fc18 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-05-14 00:40:16 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 907032, 907213, 907261    
Bug Blocks:    

Description Miro Hrončok 2013-02-04 14:05:03 EST
Spec URL: https://raw.github.com/hroncok/SPECS/master/repsnapper.spec
SRPM URL: https://github.com/downloads/hroncok/SPECS/repsnapper-2.1.0-3.fc18.src.rpm

Description: RepSnapper is a host software for controlling the RepRap 3D printer.

Fedora Account System Username: churchyard

Notes:

1) There is a non-stock license used for part of this. I've asked at Fedora Legal list and I am waiting for the answer.

2) This package bundles libreprap, but libreprap is now only maintained by repsanpper developer(s) and is not useful to other projects. I'll ask for bundling exception.
Comment 1 Miro Hrončok 2013-02-04 14:07:17 EST
*** Bug 868713 has been marked as a duplicate of this bug. ***
Comment 2 Miro Hrončok 2013-02-04 15:01:09 EST
Bundling exception request for RepSnapper: https://fedorahosted.org/fpc/ticket/249

Feel free to take this review before I got an actual reply. Of course without potential approval.
Comment 3 Miro Hrončok 2013-02-04 16:44:19 EST
*** Bug 679273 has been marked as a duplicate of this bug. ***
Comment 5 Volker Fröhlich 2013-02-05 04:04:37 EST
Quick comment:

desktop-file-validate is allowed in either %install or %check, but %find_lang should be in the install section.
Comment 7 Tom "spot" Callaway 2013-04-23 10:35:40 EDT
Is libreprap forked? I mean, if repsnapper is the upstream now, just generate a libreprap subpackage. No bundling exception needed.
Comment 8 Miro Hrončok 2013-04-23 15:39:13 EDT
OK then.
Comment 9 Miro Hrončok 2013-04-25 11:43:39 EDT
This won't build in Rawhide right now (I suppose).

TODO:
- Update to 2.2.0
- Apply https://github.com/timschmidt/repsnapper/commit/65a056a7255ee17f7908db763460a4e8a515e6dc in Rawhide and F19 (but not in F17 and F19)
- Build libreprap as a dynamic library and produce a subpackage
Comment 10 Miro Hrončok 2013-05-08 13:57:25 EDT
libreprap is no longer used
updated to 2.2.0a2
will package this only for F19 and F20, so no Clipper lib issues are present anymore

License issues solved.

Spec URL: https://raw.github.com/hroncok/SPECS/master/repsnapper.spec
SRPM URL: https://github.com/downloads/hroncok/SPECS/repsnapper-2.2.0-0.1.a2.fc18.src.rpm


You might notice W: invalid-license softSurfer, but it is not relevant, as it has been added to Fedora https://fedoraproject.org/wiki/Licensing/softSurfer
Comment 11 T.C. Hollingsworth 2013-05-08 19:59:54 EDT
As Miro indicates, Fedora Legal has resolved the licensing issue here, so I'm dropping FE-LEGAL.
Comment 12 T.C. Hollingsworth 2013-05-08 20:41:16 EDT
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed

Status: APPROVED

===== MUST items =====

C/C++:
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install if there is
     such a file.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
     Note: Cannot find licenses in rpm(s)
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "LGPL (v2 or later)", "GPL (v2 or later)", "Unknown or generated",
     "MIT/X11 (BSD like)", "LGPL (v3 or later)", "GPL (v2 or later) (with
     incorrect FSF address)". 6 files have unknown license. Detailed output of
     licensecheck in
     /home/fedora/patches/FedoraReview/907585-repsnapper/licensecheck.txt
[x]: The spec file handles locales properly.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: No %config files under /usr.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[x]: Useful -debuginfo package or justification otherwise.
[-]: Large documentation must go in a -doc subpackage.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Scriptlets must be sane, if used.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX / PatchY prefixed with %{name}.
[x]: SourceX is a working URL.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.
[-]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: repsnapper-debuginfo-2.2.0-0.1.a2.fc20.x86_64.rpm
          repsnapper-2.2.0-0.1.a2.fc20.src.rpm
          repsnapper-2.2.0-0.1.a2.fc20.x86_64.rpm
repsnapper-debuginfo.x86_64: W: invalid-license softSurfer
repsnapper.src: W: invalid-license softSurfer
repsnapper.x86_64: W: invalid-license softSurfer
repsnapper.x86_64: W: no-manual-page-for-binary repsnapper
3 packages and 0 specfiles checked; 0 errors, 4 warnings.

OK


Rpmlint (installed packages)
----------------------------
# rpmlint repsnapper-debuginfo repsnapper
repsnapper-debuginfo.x86_64: W: invalid-license softSurfer
repsnapper.x86_64: W: invalid-license softSurfer
repsnapper.x86_64: W: no-manual-page-for-binary repsnapper
2 packages and 0 specfiles checked; 0 errors, 3 warnings.
# echo 'rpmlint-done:'

OK

Requires
--------
repsnapper-debuginfo-2.2.0-0.1.a2.fc20.x86_64.rpm (rpmlib, GLIBC filtered):
    

repsnapper-2.2.0-0.1.a2.fc20.x86_64.rpm (rpmlib, GLIBC filtered):
    
    /bin/sh
    config(repsnapper) = 2.2.0-0.1.a2.fc20
    libGL.so.1()(64bit)
    libGLU.so.1()(64bit)
    libICE.so.6()(64bit)
    libSM.so.6()(64bit)
    libX11.so.6()(64bit)
    libXmu.so.6()(64bit)
    libXt.so.6()(64bit)
    libamf.so.0()(64bit)
    libatk-1.0.so.0()(64bit)
    libatkmm-1.6.so.1()(64bit)
    libc.so.6()(64bit)
    libcairo.so.2()(64bit)
    libcairomm-1.0.so.1()(64bit)
    libfontconfig.so.1()(64bit)
    libfreetype.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgdk-x11-2.0.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgdkglext-x11-1.0.so.0()(64bit)
    libgdkglextmm-x11-1.2.so.0()(64bit)
    libgdkmm-2.4.so.1()(64bit)
    libgio-2.0.so.0()(64bit)
    libgiomm-2.4.so.1()(64bit)
    libglib-2.0.so.0()(64bit)
    libglibmm-2.4.so.1()(64bit)
    libgmodule-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgtk-x11-2.0.so.0()(64bit)
    libgtkglext-x11-1.0.so.0()(64bit)
    libgtkglextmm-x11-1.2.so.0()(64bit)
    libgtkmm-2.4.so.1()(64bit)
    liblmmin.so.2()(64bit)
    libm.so.6()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libpangoft2-1.0.so.0()(64bit)
    libpangomm-1.4.so.1()(64bit)
    libpangox-1.0.so.0()(64bit)
    libpoly2tri.so.1.0()(64bit)
    libpolyclipping.so.8()(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    libsigc-2.0.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.1)(64bit)
    libxml++-2.6.so.2()(64bit)
    libxml2.so.2()(64bit)
    libz.so.1()(64bit)
    libzip.so.2()(64bit)
    rtld(GNU_HASH)

OK

Provides
--------
repsnapper-debuginfo-2.2.0-0.1.a2.fc20.x86_64.rpm:
    
    repsnapper-debuginfo = 2.2.0-0.1.a2.fc20
    repsnapper-debuginfo(x86-64) = 2.2.0-0.1.a2.fc20

repsnapper-2.2.0-0.1.a2.fc20.x86_64.rpm:
    
    config(repsnapper) = 2.2.0-0.1.a2.fc20
    repsnapper = 2.2.0-0.1.a2.fc20
    repsnapper(x86-64) = 2.2.0-0.1.a2.fc20

OK

MD5-sum check
-------------
https://github.com/timschmidt/repsnapper/archive/65a056a7255ee17f7908db763460a4e8a515e6dc/repsnapper-2.2.0-65a056a.tar.gz :
  CHECKSUM(SHA256) this package     : d342136ad401eb39887ecc8bad6372a6c6d45e378b718055637964999e5d66e9
  CHECKSUM(SHA256) upstream package : d342136ad401eb39887ecc8bad6372a6c6d45e378b718055637964999e5d66e9

OK

Generated by fedora-review 0.3.1 (f4bc12d) last change: 2012-10-16
Buildroot used: fedora-rawhide-vanilla-x86_64
Command line :./try-fedora-review -b907585
Comment 13 Miro Hrončok 2013-05-09 08:04:47 EDT
Thanks
Comment 14 Miro Hrončok 2013-05-09 08:05:58 EDT
New Package SCM Request
=======================
Package Name: repsnapper
Short Description: RepRap control software
Owners: churchyard
Branches: f19
Comment 15 Jon Ciesla 2013-05-09 09:39:32 EDT
Git done (by process-git-requests).
Comment 16 Fedora Update System 2013-05-09 13:24:06 EDT
repsnapper-2.2.0-0.1.a2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/repsnapper-2.2.0-0.1.a2.fc19
Comment 17 Miro Hrončok 2013-05-09 14:17:37 EDT
Finally, I've realized, how to build this in older Fedoras.
Comment 18 Miro Hrončok 2013-05-09 14:18:17 EDT
Package Change Request
======================
Package Name: repsnapper
New Branches: f17 f18
Owners: churchyard
Comment 19 Jon Ciesla 2013-05-09 14:23:31 EDT
Git done (by process-git-requests).
Comment 20 Fedora Update System 2013-05-09 15:04:32 EDT
repsnapper-2.2.0-0.1.a2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/repsnapper-2.2.0-0.1.a2.fc18
Comment 21 Fedora Update System 2013-05-09 15:09:11 EDT
repsnapper-2.2.0-0.1.a2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/repsnapper-2.2.0-0.1.a2.fc17
Comment 22 Fedora Update System 2013-05-10 00:52:32 EDT
repsnapper-2.2.0-0.1.a2.fc18 has been pushed to the Fedora 18 testing repository.
Comment 23 Fedora Update System 2013-05-14 00:40:16 EDT
repsnapper-2.2.0-0.1.a2.fc19 has been pushed to the Fedora 19 stable repository.
Comment 24 Fedora Update System 2013-05-21 04:29:13 EDT
repsnapper-2.2.0-0.1.a2.fc17 has been pushed to the Fedora 17 stable repository.
Comment 25 Fedora Update System 2013-05-21 04:32:32 EDT
repsnapper-2.2.0-0.1.a2.fc18 has been pushed to the Fedora 18 stable repository.